@import url('https://fonts.googleapis.com/css2?family=Inter:opsz,wght@14..32,300&family=Libre+Baskerville&family=Prompt&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville:wght@600&display=swap');
@import "icomoon.css";

@font-face {
    font-family: 'TTRamillasTrial';
    src: url('../fonts/TTRamillasTrialRegular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'TTRamillasTrialBold';
    src: url('../fonts/TTRamillasTrialBold.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'DMSans Light';
    src: url('../fonts/DMSans-Light.woff2') format('woff2'),
    url('../fonts/DMSans-Light.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

b, strong {
    font-family: var(--font-header);
    color: #000;
}

body {
    font-weight: lighter;
    font-size: 15px;
}


/* Pre-Loader */
#pre-loader .loader-section, #pre-loader-page .loader-section {
    background: var(--background-color);
}

.loader-wheel {
    border: 2px solid var(--main-solf-color);
    border-left: 4px solid var(--main-color);
}

.loader-text {
    opacity: .6;
}

/* Header */
.brand-logo img {
    height: 5.5rem;
}

.btn_lang {
    background-color: var(--secondary-color);
    line-height: 35px;
    padding: 0 15px;
}

.nav_top .lang_parent.active {
    margin-top: 5px;
}

.menu_accom:hover .dropdown_submenu {
    opacity: 1;
    pointer-events: auto;
    transition: all 0.6s;
}

.dropdown_submenu {
    position: absolute;
    left: 160px;
    top: 0;
    background: var(--white);
    opacity: 0;
    pointer-events: none;
    padding: 0;
}

.dropdown_submenu a {
    color: var(--body-color) !important;
    line-height: 1.5 !important;
}

.dropdown_submenu a:hover {
    color: var(--main-color) !important;
}

.overlay_menu span, .overlay_menu span i {
    color: var(--white);
}

.scroll_menu .button_container span {
    background: #eeeeee;
}

.scroll_menu .brand-logo img {
    height: 5rem;
}

.scroll_menu .main-menu {
    padding: 7px 0;
}

.overlay_menu {
    border: 0;
    background: var(--background-color);
}

.overlay_menu p {
    margin: 0;
}

.main-header .button_container.active span {
    background: var(--main-color) !important;
}

.overlay_menu ul li a:hover,
.overlay_menu ul li a.active,
.overlay_menu ul li p:hover,
.overlay_menu ul li p.active,
.navbar_fix .active > a {
    color: var(--main-color);
}

.base_plus_icon.active .plus_icon:before,
.base_plus_icon.active .plus_icon:after {
    background-color: var(--main-color);
}

.overlay_menu ul li a {
    color: #cecece;
    opacity: 1;
}

.base_plus_icon .plus_icon:before,
.base_plus_icon .plus_icon:after,
.base_plus_icon:hover .plus_icon:before,
.base_plus_icon:hover .plus_icon:after {
    background-color: #cecece;
    opacity: 1;
}

.lang_parent li a {
    padding: 5px 20px !important;
}

/* Slide Show */
.image-slider .swiper-slide .title {
    font-size: 40px;
    width: 40%;
}

.thai_lang .image-slider .text-wrapper {
    line-height: 1.4;
}

/* Body */
.tagline {
    margin-top: 0;
    font-weight: normal;
}

.bg_black .tagline {
    color: var(--secondary-color);
}

.bg_black .slide_offers .tagline {
    color: var(--secondary-color);
}

.section_facilities .slide_facilities .box_details p {
    font-family: var(--font-header);
    font-size: 16px;
}

.bg_black .slide_accommodation .tagline {
    color: var(--white);
}

.bg_black, .details_footer {
    background: var(--background-color) !important;
    color: var(--body-color);
}

.slide_accommodation,
.slide_accommodation .details .box_details .bg_black .tagline {
    color: var(--white);
}

.slide_accommodation .slick-arrow {
    color: var(--main-color);
}

.slide_accommodation .slick-arrow:hover {
    background: #ffffff !important;
    color: var(--main-color) !important;
}

.image_gradient {
    background-image: var(--linear-gradient);
}

.slide_offers .slide:hover .btn_readmore {
    background: var(--secondary-color);
    border: 1px solid var(--secondary-color);
    color: var(--white) !important;
}
.slide_offers .images_box {
    height: auto;
}

.slide_other .slide:hover .more_detail {
    color: var(--secondary-color) !important;
}

.btn_readmore a:hover {
    color: var(--white) !important;
}

.main-menu .navigation > li.btn_booknow a {
    background-color: var(--main-color);
}

.main-menu .navigation > li.btn_booknow a:hover, .btn_apply:hover {
    color: var(--white) !important;
}

a {
    text-transform: inherit;
}

.box_details li li {
    list-style: circle;
}

.section_accommodations .slide_accommodation .box_details {
    background: #ffffff !important;
}

.section_parallax {
    background-size: cover;
    background-position: bottom center;
    background-attachment: fixed;
}

.section_parallax:before {
    background-color: #2222229e;
}

.sha_logo img {
    object-fit: contain;
    width: fit-content;
    margin-right: 5px;
}

.sha_logo {
    height: 55px;
    width: auto;
    margin-top: 16px;
}

.video_layer {
    z-index: 3;
    position: absolute;
    padding: 25px 25px 0;
    right: 0;
    top: 0;
    color: #fff;
    font-size: 14px;
}

.video_layer {
    padding: 0;
    right: 30px;
    top: 30px;
}

.video_layer .muted_layer:before {
    font-size: 16px;
    color: #eeeeee;
}

.video_layer .muted_layer:after {
    content: "";
    width: 25px;
    background: #eeeeee;
    margin: 10px auto;
    right: 0;
}

.info_gallery.map {
    background: var(--main-color);
}

.reservation .title p {
    margin: 12px 0;
}

.info, .info ul {
    padding: 6px 0 0 20px !important;
}

.section_facilities .slide_facilities .slick-arrow {
    background: var(--main-color);
}

.section_facilities .slide_facilities .slick-arrow:hover {
    background: var(--secondary-color);
}

.main-menu .navigation > li a, .main-menu .navigation > li label {
    color: #e5e5e5;
    font-size: 14px;
    line-height: 80px;
}

.section_descriptions a:hover {
    color: var(--main-color);
}

.sitemap_list ul {
    margin: 0;
}

.thai_lang .dropdown_submenu {
    left: 130px;
}

.amenity-list {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

.amenity-item {
    width: 100%;
    margin: 0 !important;
    display: inline-block;
    vertical-align: text-top;
    font-size: 14px;
    float: left;
    text-align: left;
    border: 1px solid #342d23;
    background: #1d1811;
    padding: 15px;
}

.amenity-set {
    width: 100%;
    background: none;
    min-height: auto;
    border: none;
    color: #fff;
    text-align: left;
    box-shadow: none;
    display: inline-block;
    padding: 0;
}

.amenity-set .images_icon {
    width: 30px;
    height: 30px;
    vertical-align: middle;
    margin-right: 5px;
}

.amenity_detail {
    padding-left: 50px;
    color: #9f9f9f;
}

.amenity_detail li {
    padding: 2px 0;
    list-style: disc;
}

.amenity-item p {
    margin-top: 10px;
    line-height: inherit;
}

.amenity-item:hover .images_icon {
    animation: swing 1s .1s ease-in-out infinite;
}

.info_image {
    height: 650px;
}

.submenu_sitemap li:last-child {
    padding: 5px 0 0;
}

.slide_accommodation .details_rooms a:hover h3 {
    color: var(--secondary-color);
}

.text_offers {
    background: var(--white);
}


.box_social a {
    padding: 9px;
    border-radius: 50%;
    background: var(--main-color);
    width: 40px;
    height: 40px;
    display: inline-block;
    margin: 0 5px;
    font-size: 20px;
    color: #fff;
}

.box_social .social:hover {
    background: var(--white);
}

.box_social a:hover {
    background: var(--secondary-color);
}

.slide_other .text_offers {
    background: var(--background-color);
}

iframe {
    display: block;
}

.section_descriptions .box_social {
    margin-top: 15px;
}

.section_copyright {
    background: #1f1915;
}

.section_copyright a:hover {
    color: var(--white);
    opacity: .6;
}

.details_footer hgroup {
    margin-top: 16px;
}

.has-animation.animate-in:after {
    background-color: color-mix(in oklab, var(--main-color) 0%, var(--secondary-color));
}

.details_footer .logo_footer {
    height: 120px;
    filter: brightness(0) invert(1);
    margin-bottom: 15px;
}

.section_copyright p {
    padding: 15px 0;
}

.bg_black .tagline, .details_footer, .bg_black, .slide_accommodation .slick-arrow {
    color: #ffffff !important;
}

.bg_black .text_offers .tagline {
    color: var(--secondary-color) !important;
    margin: 6px 0 0;
}


.slide_accommodation .slick-arrow {
    background: #ffffff !important;
}

.slide_accommodation .slick-arrow {
    background: var(--main-color) !important;
}

.slide_accommodation h3 {
    color: var(--main-color);
}

.bg_black .slide_accommodation .tagline {
    color: #222222 !important;
}

.section_accommodations .editable p {
    margin: 0;
    opacity: 0.6;
}

.box_child .box_details p.tagline {
    color: #ffffff !important;
}

.section_aboutus {
    position: relative;
}

.section_aboutus:before {
    content: '';
    position: absolute;
    background-image: url(../images/icon/icon-logo.png);
    background-position: center;
    width: 80px;
    height: 140px;
    right: 20px;
    opacity: 0.1;
    top: auto;
    bottom: 0;
    background-size: contain;
    background-repeat: no-repeat;
}

.section_facilities {
    overflow: hidden;
}

.slide_other .text_offers p.tagline {
    color: #ffffff !important;
    margin: 6px 0 0;
}

.box_child_offers .btn_readmore:hover {
    background: #ffffff;
    border-color: #ffffff;
    color: #222222 !important;
}

.box_child_offers .btn_readmore a:hover {
    color: #222222 !important;
}
.box_child_offers .box_image {
    height: auto;
}
.box_child_offers {
    display: flex;
    align-items: center;
}
.box_child_offers:nth-child(even) {
    flex-direction: row-reverse;
}

.section_gallery {
    padding-top: 50px !important;
}

.box_social a:hover {
    background: #ffffff;
}

.box_social a:hover .social {
    background: #222222 !important;
}

.section_descriptions .box_social a:hover {
    background: #222222;
}

.section_descriptions .box_social a:hover .social {
    background: #ffffff !important;
}

.section_amenities {
    text-align: center;
}

.box_details a.a-color:hover, .section_accommodations .more_detail .a-maincolor:hover, .slide_other .more_detail a:hover {
    color: #ffffff !important;
    opacity: 1;
}

.form_contact input + label {
    font-style: italic;
    color: var(--main-color) !important;
}

.box_details .tagline {
    font-family: var(--font-body);
}

.box_details .tagline > div {
    display: block;
    font-size: 14px;
    margin-bottom: 6px;
}

.box_details .tagline > div:last-child {
    margin-bottom: 0;
}

.section_accommodations .slide_accommodation .box_details {
    width: 350px;
}

.details_rooms .box_details .icon_detail_room,
.box_details .icon_detail_room {
    position: relative;
    width: 16px;
    height: 16px;
    margin-right: 10px;
    display: inline-block;
    -webkit-mask-size: 100%;
    -webkit-mask-repeat: no-repeat;
    background: var(--secondary-color);
    transition: all 1.6s;
    vertical-align: middle;
}

.box_details .icon_detail_room {
    background: var(--white);
}

.box_details ul {
    text-align: left;
    padding: 0 0 0 15px;
    margin: 30px 0 0;
}

.box_details ul li {
    padding: 4px 0;
}


.box_child .details .tagline {
    margin: 10px 0 0;
    color: #fff;
}

.btn_readmore {
    display: inline-block;
    width: auto;
}

.section_descriptions.section_aboutus {
    padding: 100px 0;
    display: table;
    width: 100%;
}

.section_aboutus .primary_box {
    margin: 50px 0 0;
}

.section_info .tagline > div {
    display: inline-block;
    padding: 0 10px;
}

.section_info .tagline > div .icon_detail_room {
    width: 20px;
    height: 20px;
    margin-right: 4px;
    background: var(--black);
}

.text-inner {
    text-transform: capitalize;
}

.box_child .details,
.section_contactform {
    color: #a6a6a6;
}

.details_footer {
    height: auto;
    padding: 50px;
    display: block;
    text-align: center;
}

.details_footer div > div {
    padding: 0 0 20px;
}

.details_footer div > div:last-child {
    padding: 0;
}

.details_footer > div p {
    margin: 5px 0 0;
}

.section_contactform .input_contact {
    background-color: #1e1915;
    border: 1px solid #2c2622;
    color: #fff;
}

.section_contactform .btn_readmore:hover {
    background: transparent;
    color: var(--main-color);
    border: 1px solid var(--main-color);
}

.btn_readmore {
    margin-top: 15px;
}

.awards {
    position: relative;
    width: 440px;
    display: inline-block;
    margin: 15px auto 0;
}

.awards img {
    width: auto;
    height: 100px;
    object-fit: cover;
    display: inline-block;
}

.section_location {
    padding: 100px 0;
}

.section_gallery .nav a {
    color: var(--white);
}

.lg-outer .lg-thumb-item {
    border-radius: 0;
}



.section_aboutus video {
    width: 100%;
    height: 530px;
    object-fit: cover;
}

.box_details .icon_detail_room.icon_twin {
    width: 25px;
    height: 12px;
}

.itemfacilities {
    font-size: 14px;
}

.itemfacilities .images_icon {
    background: var(--black);
    width: 25px;
    height: 25px;
    vertical-align: middle;
    margin-right: 6px;
}

table + p {
    margin: 30px 0 0;
}
.section_location table {
    border-collapse: collapse;
    margin: auto;
}
.section_location table tr td {
    padding: 10px 0 5px;
    border-bottom: 1px solid #ededed;
}

.section_location table tr td:nth-child(1) {
    width: 75%;
}
.tagline + .editable,
h1 + .tagline,
h2 + .tagline,
h3 + p,
.details_rooms h3 + .tagline{
    margin: 10px 0 0;
}
.text_gallery span {
    margin-bottom: 4px;
}
.nav-item span {
    display: none;
}
.box_child.box_child_offers .details {
    margin: 0;
}


